=== debian/changelog ===
ubuntu-docs (5.10-6) breezy; urgency=low

  * Resolve remaining errors from pofile export from Rosetta.
    (Ubuntu #17145)
    Thanks to Matthew East for this!

  * Make ghelp URIs work again (Ubuntu  #16982)

  * Prune out unused images.

  * Firefox start page now has image and CSS.

  * The faqguide is now known as the "Ubuntu 5.10 Starter Guide"

 -- Jeff Bailey <jbailey@ubuntu.com>  Fri,  7 Oct 2005 16:32:14 -0400

ubuntu-docs (5.10-5) breezy; urgency=low

  * Resolve entity errors (Ubuntu: #15866, 16680)

  * Provide firefox start page (Ubuntu: #16663)

  Note: This page needs work as the image doesn't display and the CSS
  file crashes firefox, but this kills the annoying error.

 -- Jeff Bailey <jbailey@ubuntu.com>  Mon,  3 Oct 2005 02:20:04 -0400

ubuntu-docs (5.10-4) breezy; urgency=low

  * Final update for NonLanguagePackTranslationDeadlinreg

 -- Jeff Bailey <jbailey@ubuntu.com>  Thu, 29 Sep 2005 23:28:43 -0400

ubuntu-docs (5.10-3) breezy; urgency=low

  * Lighten the package somewhat (Thanks to Jerome Gotangco)

  * Conflict/Replace ubuntu-faqguide (Ubuntu: #16465)
    Thanks to Matt Zimmerman for catching this!

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed, 28 Sep 2005 00:26:10 -0400

ubuntu-docs (5.10-2) breezy; urgency=low

  * Switch to docbook

  * Remove old ubuntu-quickguide (Ubuntu #14816, #14709)

  * Various updates from the docteam and translators.

 -- Jeff Bailey <jbailey@ubuntu.com>  Tue, 27 Sep 2005 00:34:05 -0400

ubuntu-docs (5.10-1) breezy; urgency=low

  * Redo packaging based heavily off of Matt's packaging, make
    sure that images are all included and that pages don't say
    "draft".

    Currently includes: about-ubuntu, faqamd64, faqi386, faqppc,
    quicktour, and release-notes.

 -- Jeff Bailey <jbailey@ubuntu.com>  Fri,  2 Sep 2005 01:55:34 -0400

ubuntu-docs (5.10-0.0) breezy; urgency=low

  * First release using new revision number scheme
  * Currently only include releasenotes, aboutubuntu, and the faqguide

 -- Matt T Galvin <matt.t.galvin@gmail.com>  Wed, 10 Aug 2005 20:37:21 -0400

ubuntu-docs (1.0-1) hoary; urgency=low

  * New release
    (xh OMF files are now translated)
  * Bump to 1.0 because this one wants to be the last upload for Hoary

 -- Enrico Zini <enrico@debian.org>  Wed,  6 Apr 2005 15:03:50 +0200

ubuntu-docs (0.7-1) hoary; urgency=low

  * New release
  * Added translated OMF files

 -- Enrico Zini <enrico@debian.org>  Wed,  6 Apr 2005 14:20:26 +0200

ubuntu-docs (0.6-1) hoary; urgency=low

  * New release
  * Translations updated
  * quickguide file name changed
  * Quickguide starts having translations as well

 -- Enrico Zini <enrico@debian.org>  Tue,  5 Apr 2005 16:56:31 +0200

ubuntu-docs (0.5-1) hoary; urgency=low

  * New release
  * Includes translations

 -- Enrico Zini <enrico@debian.org>  Mon,  4 Apr 2005 15:52:27 +0200

ubuntu-docs (0.4-1) hoary; urgency=low

  * New release
  * Reworked Debian packaging to install things according to Gnome standards

 -- Enrico Zini <enrico@debian.org>  Thu, 24 Mar 2005 13:29:23 +0100

ubuntu-docs (0.3-1) hoary; urgency=low

  * New release
  * Fixed the debian/ scripts to handle changes in the location of the release
    notes
  * ubuntu-docs conflicts with ubuntu-quickguide << 0.3 because an image has
    been moved from the quickguide package to the ubuntu-docs package

 -- Enrico Zini <enrico@debian.org>  Mon, 21 Mar 2005 11:16:12 +0100

ubuntu-docs (0.2-1) hoary; urgency=low

  * New release
  * Added more OMF files; registration with scroolkeeper now works, but the
    documents show up in the "Other" cathegory, which is suboptimal

 -- Enrico Zini <enrico@enricozini.org>  Fri,  4 Mar 2005 15:42:16 +0100

ubuntu-docs (0.1-1) hoary; urgency=low

  * Initial release.

 -- Enrico Zini <enrico@enricozini.org>  Tue, 30 Nov 2004 17:55:37 +0200
