=== debian/control ===
Source: ubuntu-docs
Section: text
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Uploaders: Matt T Galvin <matt.t.galvin@gmail.com>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, poxml
Standards-Version: 3.6.1.0

Package: ubuntu-docs
Architecture: all
Depends: scrollkeeper
Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide
Replaces: ubuntu-faqguide
Recommends: yelp
Description: The Ubuntu Quick Guide
 The package holds the ubuntu official handbook, created by the
 Ubuntu Documentation Team.
 .
 The handbook can be viewed using Yelp the GNOME help browser, or
 stand-alone in HTML or PDF format.
