=== debian/changelog ===
ubuntu-docs (5.10-6.3) breezy-updates; urgency=low

  * Fixed typos in some translations which were generating cron scrollkeeper errors (bugs #30453, #30535, #30563)

 -- Matthew East <mdke@ubuntu.com>  Sun, 5 Feb 2006 15:14:05 +0000

ubuntu-docs (5.10-6.2) breezy-updates; urgency=low

  * Merge duplicated Conflicts field.  Thanks to Colin Watsom for catching
    this.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 24 Jan 2006 10:47:05 +0100

ubuntu-docs (5.10-6.1) breezy-updates; urgency=low

  [ Matthew East ]
  * new text, image and css in /usr/share/ubuntu-artwork/home/index.html (Ubuntu #15013, #16932, #17605 and #20692)
  * new and updated translations for about-ubuntu and faqguide
  * including sample/ directories for faqguide (fix provided by Bhuvaneswaran)

  [ Jonathan Riddell ]
  * Use update-alternatives for Firefox index page

  [ Tollef Fog Heen ]
  * Conflict with versions of ubuntu-docs and edubuntu-artwork not using
    update-alternatives for Firefox index page.
  
 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 18 Jan 2006 13:27:15 +0100
