=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: ubuntu-docs
 Architecture: all
 Depends: scrollkeeper
-Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide
+Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide, kubuntu-docs (<< 5.10-0.6.1), edubuntu-artwork (<< 0.1.0-9.1)
 Replaces: ubuntu-faqguide
 Recommends: yelp
 Description: The Ubuntu Quick Guide
